@echo off
echo.
echo ******************************

set JAVA_HOME=C:\Program Files\Java\jdk1.7.0_55
if not exist "%JAVA_HOME%" echo %JAVA_HOME% does not exist& goto done
set PATH=%JAVA_HOME%\bin;%PATH%

echo + Set JAVA_HOME=%JAVA_HOME% and updated PATH

set PERL_HOME=C:\Perl64
if not exist "%PERL_HOME%" echo %PERL_HOME% does not exist& goto done
set PATH=%PERL_HOME%\bin;%PATH%

echo + Set PERL_PATH=%PERL_HOME% and updated PATH

:: WORKS:
call "C:\Program Files (x86)\Microsoft Visual Studio 9.0\Common7\Tools\vsvars32.bat"

:: Common Tools folder not found
:: call "C:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\bin\vcvars32.bat"

:: Same problem as with C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\amd64_x86\vcvarsamd64_x86.bat
:: call "C:\Program Files (x86)\Microsoft Visual Studio 12.0\Common7\Tools\vsvars32.bat"


:: 64 bit mode doesn't work
:: Running vcvarsamd64_x86 has the same problem as below
::set vclocation=C:\Program Files (x86)\Microsoft Visual Studio 10.0\VC
::set vclocation=C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC
::::set vclocation=C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\amd64_x86
::if not exist "%vclocation%" echo %vclocation% does not exist& goto done
::pushd "%vclocation%"
::call vcvarsamd64_x86.bat
::::call vcvarsall.bat amd64
::popd


:: Error: https://groups.google.com/forum/#!topic/UniMRCP/Iybpn51UYnI
:: http://msdn.microsoft.com/en-us/library/ff770576.aspx
:: http://stackoverflow.com/questions/11544563/can-i-set-the-platform-toolset-from-the-command-line-when-building-with-vs2010s
:: /p:PlatformToolset=v100
:: call "C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\amd64_x86\vcvarsamd64_x86.bat"


:: If using SetEnv.cmd:

:: http://go4answers.webhost4life.com/Example/windows-sdk-v70a-setenvbat-218785.aspx
:: explains that SetEnv.cmd does exist in the new Microsoft SDK:
:: C:\Windows\System32\cmd.exe /E:ON /V:ON /T:0E /K "C:\Program Files\Microsoft SDKs\Windows\v7.1\Bin\SetEnv.cmd"
:: (Unused: http://stackoverflow.com/questions/887894/how-to-find-windows-sdks-setenv-cmd-setenv-cmd-does-not-work-correctly )

::call "C:\Program Files\Microsoft SDKs\Windows\v7.1\Bin\SetEnv.cmd"
:: Run with /? to see what options it takes (/x86, /x64, /ia64, /vista, /xp, /win7 and more)

::set sdklocation=C:\Program Files\Microsoft SDKs\Windows\v7.1\Bin
::if not exist "%sdklocation%" echo %sdklocation% does not exist& goto done
::pushd "%sdklocation%"
::call SetEnv.cmd /x64
::popd

:: http://www.apachelounge.com/viewtopic.php?t=3348
:: http://stackoverflow.com/questions/10888391/error-link-fatal-error-lnk1123-failure-during-conversion-to-coff-file-inval
:: https://ask.mozilla.org/question/256/failure-during-conversion-to-coff-file-invalid-or-corrupt/
:: Rename cvtres.exe in C:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\bin\amd64, then put the one from
:: C:\Windows\Microsoft.NET\Framework\v4.0.30319 (or from C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\amd64) in there
::set cvlocation=C:\Windows\Microsoft.NET\Framework\v4.0.30319
::set cvlocation=C:\Program Files (x86)\Microsoft Visual Studio 12.0\VC\bin\amd64
::if exist "%cvlocation%\cvtres.exe" set PATH=%cvlocation%;%PATH%

:done
echo Leaving local/setup.bat
echo ******************************
echo.

:: http://stackoverflow.com/questions/10888391/error-link-fatal-error-lnk1123-failure-during-conversion-to-coff-file-inval
